Group: System/Base
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           yacpi
Version:        3.0.1
Release:        alt1_32
Summary:        Yet Another Configuration and Power Interface 

License:        GPLv2+
URL:            http://www.ngolde.de/yacpi.html
Source0:        http://www.ngolde.de/download/%{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}.patch

BuildRequires:  gcc
BuildRequires:  libncurses++-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel 
BuildRequires:  libacpi-devel 
ExcludeArch:    ppc ppc64
Source44: import.info

%description
Yacpi is an acpi monitoring program for Linux. It displays acpi information 
like battery status, ac status, cpu frequency, remaining battery/charge 
time, temperature... It also supports the use of more than one battery and 
can display them. 

%prep
%setup -q
%patch0 -p1
sed -i "s|CFLAGS  = -O2 -Wall -g|CFLAGS = $RPM_OPT_FLAGS|" Makefile
#fix convert changelog to UTF8
iconv -f ISO_8859-1 -t UTF-8 -o CHANGELOG{.utf8,}
mv CHANGELOG{.utf8,}


%build
%make_build


%install
make install DESTDIR=$RPM_BUILD_ROOT DOCPATH=%{_docdir}/%{name}


%files
%{_bindir}/%{name}
%dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/CHANGELOG
%doc %{_docdir}/%{name}/COPYING
%doc %{_docdir}/%{name}/README
%doc %{_docdir}/%{name}/THANKS
%{_mandir}/man1/%{name}.1*



%changelog
* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 3.0.1-alt1_32
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 3.0.1-alt1_31
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 3.0.1-alt1_30
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 3.0.1-alt1_29
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 3.0.1-alt1_28
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 3.0.1-alt1_27
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 3.0.1-alt1_25
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 3.0.1-alt1_24
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 3.0.1-alt1_23
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 3.0.1-alt1_21
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 3.0.1-alt1_20
- update to new release by fcimport

* Tue Nov 12 2013 Igor Vlasenko <viy@altlinux.ru> 3.0.1-alt1_19
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 3.0.1-alt1_18
- update to new release by fcimport

* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 3.0.1-alt1_17
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 3.0.1-alt1_16
- update to new release by fcimport

* Fri Jun 08 2012 Igor Vlasenko <viy@altlinux.ru> 3.0.1-alt1_15
- fc import

